local L = LibStub("AceLocale-3.0"):NewLocale("Battleground", "enUS", true)

-- Generic
L["The Horde"] = true
L["The Alliance"] = true

L["has begun!"] = true
L["2 minute"] = true
L["1 minute"] = true
L["One minute until"] = true
L["60 seconds"] = true
L["30 seconds"] = true
L["15 seconds"] = true
L["Forty five seconds"] = true
L["Thirty seconds until"] = true
L["Fifteen seconds until"] = true

-- Options
L["Battleground"] = true
L["You can select where you want messages displayed using the options below."] = true
L["Message Output"] = true


-- Alterac Valley
L["Iceblood Tower"] = true
L["Iceblood Graveyard"] = true
L["Tower Point"] = true
L["Frostwolf Graveyard"] = true
L["East Frostwolf Tower"] = true
L["West Frostwolf Tower"] = true
L["Frostwolf Relief Hut"] = true
L["Coldtooth Mine"] = true
L["Stonehearth Bunker"] = true
L["Stonehearth Graveyard"] = true
L["Icewing Bunker"] = true
L["Stormpike Graveyard"] = true
L["Dun Baldar North Bunker"] = true
L["Dun Baldar South Bunker"] = true
L["Stormpike Aid Station"] = true
L["Irondeep Mine"] = true
L["Snowfall Graveyard"] = true

L["Battleground Start"] = true
L["Battleground Elapsed"] = true

L["%s has engaged %s."] = true
L["%s has reset %s."] = true
L["%s has defeated %s."] = true

L["Captain Balinda Stonehearth"] = true
L["Begone, uncouth scum!  The Alliance shall prevail in Alterac Valley!"] = true
L["Filthy Frostwolf cowards! If you want a fight, you'll have to come to me!"] = true

L["Captain Galvangar"] = true
L["Die!  Your kind has no place in Alterac Valley!"] = true
L["I'll never fall for that, fool! If you want a battle it will be on my terms and in my lair."] = true

L["Vanndar Stormpike"] = true
L["Soldiers of Stormpike, your General is under attack! I require aid! Come! Come! Slay these mangy Frostwolf dogs."] = true
L["You'll never get me out of me bunker, heathens!"] = true

L["Drek'Thar"] = true
L["Stormpike filth! In my keep?! Slay them all!"] = true
L["You seek to draw the General of the Frostwolf legion out from his fortress? PREPOSTEROUS!"] = true

L["Herald"] = true
L["The Frostwolf General is dead!"] = true
L["The Stormpike General is dead!"] = true

-- Arathi Basin

L["Farm"] = true
L["Stables"] = true
L["Blacksmith"] = true
L["Gold Mine"] = true
L["Lumber Mill"] = true
-- lowercase for chat parsing, apparantly it's different for em all in russian so aadding them here
L["mine"] = true
L["lumber mill"] = true
L["blacksmith"] = true
L["farm"] = true
L["stables"] = true

L["Bases: ([0-9]+)  Resources: ([0-9]+)/([0-9]+)"] = true

L["(.+) claims the ([^!]+)"] = true
L["(.+) has assaulted the ([^!]+)"] = true
L["has taken the ([^!]+)"] = true
L["has defended the ([^!]+)"] = true

-- generic for arathi and eots
L["Bases to win: %d"] = true
L["Final Score: %d/%d"] = true


-- Eye of the Storm

L["Bases: ([0-9]+)  Victory Points: ([0-9]+)/([0-9]+)"] = true
L["Mage Tower"] = true
L["Draenei Ruins"] = true
L["Fel Reaver Ruins"] = true
L["Blood Elf Tower"] = true

-- Isle of Conquest

L["Docks"] = true
L["Hangar"] = true
L["Quarry"] = true
L["Refinery"] = true
L["Workshop"] = true
L["Horde Keep"] = true
L["Alliance Keep"] = true
L["Siege Engine"] = true

L["oil refinery"] = true -- exception for chat parsing
L["workshop"] = true
L["docks"] = true
L["hangar"] = true
L["quarry"] = true
L["refinery"] = true
L["horde keep"] = true
L["alliance keep"] =true

L["Gnomish Mechanic"] = true
L["See those seaforium bombs? Use them on the gates while I repair the siege engine!"] = true
L["I'm halfway there! Keep the Horde away from here.  They don't teach fighting in engineering school!"] = true
L["My finest work so far! This siege engine is ready for action!"] = true

L["Goblin Mechanic"] = true
L["I'll work on the siege engine, just watch my back.  Use those seaforium bombs on the gates if you need them!"] = true
L["I'm about halfway done! Keep the Alliance away - fighting's not in my contract!"] = true
L["The siege engine is ready to roll!"] = true

L["High Commander Halford Wyrmbane"] = true
L["Overlord Agmar"] = true
L["The gates have been breached! Defend the keep!"] = true
L["%s has breached %s Keep!"] = true

L["%s has finished a siege engine."] = true
L["%s has started building a siege engine."] = true
L["%s is halfway building a siege engine."] = true

L["Horde Gate"] = true
L["Alliance Gate"] = true
L["Front Gate"] = true
L["West Gate"] = true
L["East Gate"] = true
